Bug 74563 - Cannot boot kernels 2.4.9-xx with aic-7xxx module
Cannot boot kernels 2.4.9-xx with aic-7xxx module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-26 14:00 EDT by Gene Willacker
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Willacker 2002-09-26 14:00:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1) Gecko/20020826

Description of problem:
I am unable to boot my system after upgrading kernel to both versions 2.4.9-31
and 2.4.9-34. Kernel is unable to load aic-7xxx module. Thus, root partition is
not mounted and boot process stops dead. I am able to boot kernel 2.4.2-2 with
no problems at all.

There are many other bug reports that appear related to this same issue, not
being able to boot 2.4.9-xx kernels with aic-7xxx module. Most of these are
still open. These newer kernels provide security updates that I'm unable to use.
I have tried creating a new initrd, but this did not help. Is there a solution?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel to a 2.4.9-xx version.
2. Verify correct settings in lilo.conf, re-run lilo.
3. Try to re-boot with new kernel. You can't.
	

Actual Results:  Kernel panic and boot process terminates. Leaves an error
message about adding init= line in lilo.conf. This init line is in lilo.conf,
but since no filesystems are mounted, /sbin/init cannot be found.

Expected Results:  System should boot and run.

Additional info:

Something must have changed with the 2.4.9-xx kernels, possibly in the aic-7xxx
module. For example, under /lib/modules/<version>/kernel/drivers/scsi, the size
of my aic-7xxx.o file is 167860 bytes for the 2.4.2-2 kernel, but smaller for
the newer versions: 140052 for the 2.4.9-31, and 140084 bytes for 2.4.9-34.

Hardware:
HP NetServer 5/133 LC, Phoeneix bios ver 4.00.32
Onboard SCSI AIC7770, bios ver 2.12C
HP SCSI Hard Drives
HP SCSI DAT Tape
HP SCSI CD-ROM

Some related info from dmesg after booting with the older (working) kernel is
below. On the newer kernels, boot process does not get this far.

(scsi0) <Adaptec AIC-7770 SCSI host adapter> found at EISA slot 11
(scsi0) Twin Channel, A SCSI ID 7, B SCSI ID 7, 4/255 SCBs
(scsi0) Downloading sequencer code... 426 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AIC-7770 SCSI host adapter>
(scsi0:0:0:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: HP        Model: 2.13 GB 2nd       Rev: 0582
  Type:   Direct-Access                      ANSI SCSI revision: 02
(scsi0:0:1:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: HP        Model: 2.13 GB 2nd       Rev: 0582
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: HP        Model: C1533A            Rev: 9608
  Type:   Sequential-Access                  ANSI SCSI revision: 02
  Vendor: SONY      Model: CD-ROM CDU-76S    Rev: 1.1c
  Type:   CD-ROM                             ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
SCSI device sda: 4165272 512-byte hdwr sectors (2133 MB)
Partition check:
sda: sda1 sda2 < sda5 sda6 >
SCSI device sdb: 4165272 512-byte hdwr sectors (2133 MB)
 sdb: sdb1 sdb2 < sdb5 sdb6 >
VFS: Mounted root (ext2 filesystem) readonly.
Comment 1 Bugzilla owner 2004-09-30 11:39:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.